type expr =
  | IntLit of int
  | Plus of expr * expr
  | Minus of expr * expr

let rec eval e =
  match e with
  | IntLit v -> v
  | Plus(e1, e2) -> eval e1 + eval e2
  | Minus(e1, e2) -> eval e1 - eval e2
