%token PLUS
%token MINUS
%token <int> INT_LIT
%token EOF

%start <Expr.expr> prog

%%

prog:
  | e = expr; EOF { e }

expr:
  | s = INT_LIT { Expr.IntLit(s) }
  | e1 = expr; PLUS; e2 = expr { Expr.Plus(e1, e2) }
  | e1 = expr; MINUS; e2 = expr { Expr.Minus(e1, e2) }
  (* ^^^ What expressions look like, "on the wire" *)
